ACCTMERG(8)

NAME
acctmerg - merge or add total accounting files

SYNOPSIS
/usr/lib/acct/acctmerg [ -aiptuv ] [ filename... ]

DESCRIPTION

acctmerg reads its standard input and up to nine additional files, all in the tacct format (see acct(5)) or an ASCII version thereof. It merges these inputs by adding records whose keys (normally user ID and name) are identical, and expects the inputs to be sorted on those keys.

OPTIONS

-a  Produce output in ASCII version of tacct.

-i  Input files are in ASCII version of tacct.

-p  Print input with no processing.

-t  Produce a single record that totals all input.

-u  Summarize by user ID, rather than user ID and name.

-v  Produce output in verbose ASCII format, with more precise notation for floating point numbers.

EXAMPLES

The following sequence is useful for making “repairs” to any file kept in this format:

    acctmerg -v <filename1 >filename2
    	edit file2 as desired ...
    acctmerg -i <filename2 >filename1

SEE ALSO
acctcom(1), acct(2V), acct(5), utmp(5V), acct(8), acctcms(8), acctcon(8), acctprc(8), acctsh(8), fwtmp(8), runacct(8)